aboutsummaryrefslogtreecommitdiffstats
path: root/testing/mgba/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'testing/mgba/APKBUILD')
-rw-r--r--testing/mgba/APKBUILD15
1 files changed, 14 insertions, 1 deletions
diff --git a/testing/mgba/APKBUILD b/testing/mgba/APKBUILD
index 8460128238..ca9298e389 100644
--- a/testing/mgba/APKBUILD
+++ b/testing/mgba/APKBUILD
@@ -11,7 +11,7 @@ makedepends="cmake qt5-qtmultimedia-dev qt5-qtbase-dev qt5-qttools-dev
sdl-dev libzip-dev zlib-dev libpng-dev ffmpeg-dev imagemagick-dev
libepoxy-dev cmocka-dev libedit-dev py3-virtualenv python3-dev"
checkdepends="py3-cffi py3-cached-property"
-subpackages="$pkgname-doc $pkgname-py:_py"
+subpackages="$pkgname-doc $pkgname-py:_py $pkgname-qt:_qt"
source="mgba-$pkgver.tar.gz::https://github.com/mgba-emu/mgba/archive/$pkgver.tar.gz
http://gbdev.gg8.se/files/roms/blargg-gb-tests/cpu_instrs.zip
test-py.sh
@@ -58,6 +58,10 @@ package() {
rm "$pkgdir/usr/bin/mgba-fuzz"
rm "$pkgdir/usr/bin/tbl-fuzz"
+ # delete config cruft
+ rm "$pkgdir/usr/include/mgba/flags.h"
+ rmdir -p "$pkgdir/usr/include/mgba" || :
+
# add desktop file
local apps="$pkgdir/usr/share/applications"
mkdir -p "$apps"
@@ -77,6 +81,15 @@ _py() {
mv $bdir/mgba/ "$dest/"
}
+_qt() {
+ pkgdesc="Qt5 frontend for the mGBA emulator"
+
+ local dest="$subpkgdir/usr/bin"
+
+ mkdir -p "$dest"
+ mv "$pkgdir/usr/bin/mgba-qt" "$dest"
+}
+
sha512sums="d646af7869dbcf8df671a75ecfd8c270950c013b826b23b94bacae43a77243786f198725e1b9bf17827d1ffcf6a8eef70091d53ea878bfb2450472485f42f233 mgba-0.6.3.tar.gz
ea4a1de976e2188c3720d7b8e6f75f67feaede37473826343f9b0a03fe76405e84305384ceee1bc56a4e8131cab432b63320d4c0b120a6c81425af8f0bfbd234 cpu_instrs.zip
239d985e6379495569bcc5c9fe15ab913585029d9979cc6b2cdd23ff49cb1426f9b90c763b3314cac888c599951e54c2584ee69280158b615aa64ad188f1e1ad test-py.sh